Latest 1.0.2
Homepage https://github.com/netyouli/FunWave
License MIT
Platforms ios 8.0, requires ARC
Authors

Build Status
Pod Version
Platform
Pod License

FunWave is Swift3.+ simple fun wave open source component

Require

  • iOS 8.0+ / Mac OS X 10.11+ / tvOS 9.0+
  • Xcode 8.0 or later
  • Swift 4.0+

Install

  • CocoaPods: pod ‘FunWave’

Usage

let wave = FunWaveView()
/// set frame/autolayout .....
wave.start()
/// if stop wave animation call stop() method

Demo

FunWave

Prompt

If you want to view the analytical results, please download this demo to check the specific usage

Licenses

All source code is licensed under the MIT License.

Latest podspec

{
    "name": "FunWave",
    "version": "1.0.2",
    "summary": "FunWave is Swift3.+ wave controll",
    "homepage": "https://github.com/netyouli/FunWave",
    "license": "MIT",
    "authors": {
        "u5434u6d77u8d85(WHC)": "[email protected]"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source": {
        "git": "https://github.com/netyouli/FunWave.git",
        "tag": "1.0.2"
    },
    "source_files": "FunWave/FunWave/*.{swift}",
    "requires_arc": true,
    "pushed_with_swift_version": "4.0"
}

Pin It on Pinterest

Share This